package com.friday.custody.service.basicService;

import com.baomidou.mybatisplus.extension.service.IService;
import com.friday.custody.dto.TenantInfoDto;
import com.friday.custody.dto.TenantInfoMonitorDto;
import com.friday.custody.dto.TrustNoMonitorDto;
import com.friday.custody.entity.TenantInfoEntity;

import java.util.List;
import java.util.Map;

import com.friday.custody.req.TenantInfoReq;
import com.friday.custody.utils.PageUtils;
import com.friday.custody.utils.R;

/**
 * 
 *
 * @author lyb
 * @email k0051582@gmail.com
 * @date 2022-01-05 14:07:22
 */
public interface TenantInfoService extends IService<TenantInfoEntity> {

    PageUtils queryPage(Map<String, Object> params);

    R<List<TenantInfoEntity>> queryAll();
    List<TrustNoMonitorDto> queryAllData(String tenantName);
    public List<TenantInfoMonitorDto> queryAdmin(String trustNo);

    R addTenant(TenantInfoDto dto);

    R<TenantInfoDto>  queryByKey(TenantInfoDto dto);

    R addTenantInfos(String tenantName, List<TenantInfoReq> tenantInfoReqs);

    boolean isExistsTenant(String admin);

    int addTenantInfo(String admin);
}

